##
##  mailman-apache.conf -- Apache Configuration for Mailman
##

<VirtualHost host.example.com>
    #   server information
    ServerName        host.example.com
    ServerAdmin       hostmaster@host.example.com
    ServerSignature   on

    #   document area
    DocumentRoot @l_prefix@/libexec/mailman/htdocs/
    <Directory "@l_prefix@/libexec/mailman/htdocs">
        Options       FollowSymLinks
        AllowOverride None
        Order         allow,deny
        Allow         from all
    </Directory>

    #   pipermail area
    Alias /mailman/pipermail/ @l_prefix@/var/mailman/archives/public/
    <Directory "@l_prefix@/var/mailman/archives/public">
        Options       FollowSymLinks
        AllowOverride None
        Order         allow,deny
        Allow         from all
    </Directory>

    #   icon area
    Alias /mailman/icons/ @l_prefix@/libexec/mailman/icons/
    <Directory "@l_prefix@/libexec/mailman/icons">
        Options       FollowSymLinks
        AllowOverride None
        Order         allow,deny
        Allow         from all
    </Directory>

    #   executable area
    ScriptAlias /mailman/ @l_prefix@/libexec/mailman/cgi-bin/
    <Directory "@l_prefix@/libexec/mailman/cgi-bin">
        Options       FollowSymLinks ExecCGI
        AllowOverride None
        Order         allow,deny
        Allow         from all
    </Directory>

    #   logging
    CustomLog         @l_prefix@/var/mailman/logs/http-access.log common
    ErrorLog          @l_prefix@/var/mailman/logs/http-error.log
    LogLevel          warn
</VirtualHost>

